Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
step1.php File Reference

Go to the source code of this file.

## Functions
if(isset( $next) && $next) | error_check ($varcheck)

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZUserMain", "Language" )
| $SelectCountry = $ini->variable( "eZUserMain", "SelectCountry" )
| $SelectRegion = $ini->variable( "eZUserMain", "SelectRegion" )
| $AnonymousUserGroup = $ini->variable( "eZUserMain", "AnonymousUserGroup" )
| $AutoCookieLogin = eZHTTPTool::getVar( "AutoCookieLogin" )
| $session =& eZSession::globalSession()
| $user =& eZUser::currentUser()
| $form_type = "Account Registration"
| $error = array()
if($user) if(isset( $next) && $next)<?=isset($all_fields_error) &&$all_fields_error ?><?=isset($password_error) &&$password_error ?></p ><? endif;?>< form method="post">< table border="0" cellspacing="2" cellpadding="2" class="boxtext" style="font-size=13;">< tr >< td style="color:<?= isset( $error['first_name'] ) ?> First | Name = $form_type
& | nbsp
</td ></tr >< tr >< td style="color:<?= isset( $error['email'] ) ?> | Email
</td ></tr >< tr >< td style="color:<?= isset( $error['username'] ) ?> | Username
</td ></tr >< tr >< td style="color:<?= isset( $error['password1'] ) ?> | Password

## Function Documentation

## ◆ error_check()

if (isset($next) &&$next) error_check | ( |  | $varcheck | ) |

Definition at line 91 of file step1.php.

## Variable Documentation

## ◆ $AnonymousUserGroup

$AnonymousUserGroup = $ini->variable( "eZUserMain", "AnonymousUserGroup" )

Definition at line 16 of file step1.php.

## ◆ $AutoCookieLogin

$AutoCookieLogin = eZHTTPTool::getVar( "AutoCookieLogin" )

Definition at line 18 of file step1.php.

## ◆ $error

$error = array()

Definition at line 32 of file step1.php.

## ◆ $form_type

$form_type = "Account Registration"

Definition at line 31 of file step1.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 12 of file step1.php.

## ◆ $Language

$Language = $ini->variable( "eZUserMain", "Language" )

Definition at line 13 of file step1.php.

## ◆ $SelectCountry

$SelectCountry = $ini->variable( "eZUserMain", "SelectCountry" )

Definition at line 14 of file step1.php.

## ◆ $SelectRegion

$SelectRegion = $ini->variable( "eZUserMain", "SelectRegion" )

Definition at line 15 of file step1.php.

## ◆ $session

$session =& eZSession::globalSession()

Definition at line 20 of file step1.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 29 of file step1.php.

## ◆ Email

</td></tr><tr><td style="color:<?= isset( $error['email'] ) ?> Email

Definition at line 141 of file step1.php.

Referenced by eZUser\fill(), eZUser\setEmail(), and eZUser\store().

## ◆ Name

</td><td style="color:<?= isset( $error['last_name'] ) ?> Last Name = $form_type

Definition at line 136 of file step1.php.

Referenced by eZFileHandler\__construct(), eZTip\__construct(), eZQuizAlternative\__construct(), eZXMLRPCFunction\__construct(), eZPriceGroup\fill(), eZArticle\fill(), eZArticleCategory\fill(), eZLinkItem\fill(), eZLinkSection\fill(), eZAddressType\fill(), eZQuizAlternative\fill(), eZProjectType\fill(), eZCountry\fill(), eZForm\fill(), eZFormElement\fill(), eZFormElementType\fill(), eZPhoneType\fill(), eZQuizQuestion\fill(), eZQuizGame\fill(), eZRegion\fill(), eZUserGroup\fill(), eZMenu\fill(), eZLink\get(), eZLinkCategory\get(), eZCategory\get(), eZPriority\get(), eZStatus\get(), eZTodo\get(), eZAd\get(), eZAddress\get(), eZVirtualFile\get(), eZForum\get(), eZForumCategory\get(), eZImage\get(), eZMailAccount\get(), eZMailFolder\get(), eZMedia\get(), eZNews\get(), eZSourceSite\get(), eZTip\get(), eZOrderStatusType\get(), eZProduct\get(), eZAdCategory\get(), eZArticleAttribute\get(), eZArticleType\get(), eZTopic\get(), eZBug\get(), eZBugCategory\get(), eZBugModule\get(), eZBugPriority\get(), eZBugStatus\get(), eZBulkMailTemplate\get(), eZAppointment\get(), eZAppointmentType\get(), eZCompany\get(), eZConsultationType\get(), eZVirtualFolder\get(), eZGroupEvent\get(), eZGroupEventCategory\get(), eZGroupEventType\get(), eZImageCategory\get(), eZLinkAttribute\get(), eZLinkType\get(), eZMediaAttribute\get(), eZMediaCategory\get(), eZMediaType\get(), eZNewsCategory\get(), eZPoll\get(), eZPollChoice\get(), eZSection\get(), eZTipCategory\get(), eZBoxType\get(), eZOption\get(), eZProductAttribute\get(), eZProductCategory\get(), eZProductCurrency\get(), eZProductType\get(), eZShippingGroup\get(), eZShippingType\get(), eZVATType\get(), eZAuthor\get(), eZModule\get(), eZPermission\get(), eZAuthor\getByName(), eZContentObjectStateGroupLanguage\hasData(), eZContentObjectStateLanguage\hasData(), eZContentObjectStateGroupLanguage\isValid(), eZContentObjectStateLanguage\isValid(), eZArticle\name(), eZArticleCategory\name(), eZAdCategory\name(), eZTopic\name(), eZBug\name(), eZBugCategory\name(), eZBugModule\name(), eZBugPriority\name(), eZBugStatus\name(), eZVirtualFile\name(), eZVirtualFolder\name(), eZForum\name(), eZImage\name(), eZImageCategory\name(), eZMedia\name(), eZMediaCategory\name(), eZPoll\name(), eZPollChoice\name(), eZTipCategory\name(), eZAuthor\name(), eZUserGroup\name(), eZAppointment\name(), eZAppointmentType\name(), eZGroupEvent\name(), eZGroupEventCategory\name(), eZGroupEventType\name(), eZAd\name(), eZForm\name(), eZFormElement\name(), eZFormElementType\name(), eZForumCategory\name(), eZLink\name(), eZLinkCategory\name(), eZMediaAttribute\name(), eZMediaType\name(), eZNews\name(), eZSourceSite\name(), eZQuizAlternative\name(), eZQuizGame\name(), eZQuizQuestion\name(), eZSection\name(), eZTip\name(), eZCategory\name(), eZPriority\name(), eZStatus\name(), eZTodo\name(), eZProduct\name(), eZProductCategory\name(), eZLinkItem\setName(), eZLinkSection\setName(), eZConsultationType\setName(), eZProjectType\setName(), eZPriceGroup\setName(), eZForum\setName(), eZForumCategory\setName(), eZAd\setName(), eZAdCategory\setName(), eZAddress\setName(), eZAddressType\setName(), eZCountry\setName(), eZPhoneType\setName(), eZRegion\setName(), eZArticle\setName(), eZArticleAttribute\setName(), eZArticleCategory\setName(), eZArticleType\setName(), eZTopic\setName(), eZBug\setName(), eZBugCategory\setName(), eZBugModule\setName(), eZBugPriority\setName(), eZBugStatus\setName(), eZBulkMailTemplate\setName(), eZAppointment\setName(), eZAppointmentType\setName(), eZCompany\setName(), eZVirtualFile\setName(), eZVirtualFolder\setName(), eZGroupEvent\setName(), eZGroupEventCategory\setName(), eZGroupEventType\setName(), eZImage\setName(), eZImageCategory\setName(), eZLinkAttribute\setName(), eZLinkType\setName(), eZMailAccount\setName(), eZMailFolder\setName(), eZMediaAttribute\setName(), eZMediaType\setName(), eZNews\setName(), eZNewsCategory\setName(), eZSourceSite\setName(), eZPoll\setName(), eZPollChoice\setName(), eZSection\setName(), eZTip\setName(), eZTipCategory\setName(), eZCategory\setName(), eZPriority\setName(), eZStatus\setName(), eZTodo\setName(), eZBoxType\setName(), eZOption\setName(), eZOrderStatusType\setName(), eZProduct\setName(), eZProductAttribute\setName(), eZProductCurrency\setName(), eZProductType\setName(), eZShippingGroup\setName(), eZShippingType\setName(), eZVATType\setName(), eZAuthor\setName(), eZModule\setName(), eZPermission\setName(), eZUserGroup\setName(), eZForm\setName(), eZFormElement\setName(), eZFormElementType\setName(), eZLink\setName(), eZLinkCategory\setName(), eZMedia\setName(), eZMediaCategory\setName(), eZQuizAlternative\setName(), eZQuizGame\setName(), eZQuizQuestion\setName(), eZMenu\setName(), eZProductCategory\setName(), eZLinkItem\store(), eZAd\store(), eZAdCategory\store(), eZAddress\store(), eZAddressType\store(), eZCountry\store(), eZPhoneType\store(), eZRegion\store(), eZArticle\store(), eZArticleAttribute\store(), eZArticleCategory\store(), eZArticleType\store(), eZTopic\store(), eZBug\store(), eZBugCategory\store(), eZBugModule\store(), eZBugPriority\store(), eZBugStatus\store(), eZBulkMailTemplate\store(), eZCompany\store(), eZConsultationType\store(), eZProjectType\store(), eZVirtualFile\store(), eZVirtualFolder\store(), eZForm\store(), eZFormElement\store(), eZFormElementType\store(), eZForum\store(), eZForumCategory\store(), eZGroupEvent\store(), eZImage\store(), eZImageCategory\store(), eZLink\store(), eZLinkCategory\store(), eZMailAccount\store(), eZMailFolder\store(), eZMedia\store(), eZMediaCategory\store(), eZNews\store(), eZNewsCategory\store(), eZSourceSite\store(), eZPoll\store(), eZPollChoice\store(), eZQuizAlternative\store(), eZQuizAnswer\store(), eZQuizGame\store(), eZQuizQuestion\store(), eZQuizScore\store(), eZMenu\store(), eZSection\store(), eZTip\store(), eZTipCategory\store(), eZCategory\store(), eZPriority\store(), eZStatus\store(), eZTodo\store(), eZBoxType\store(), eZOption\store(), eZOrderStatusType\store(), eZPriceGroup\store(), eZProduct\store(), eZProductAttribute\store(), eZProductCategory\store(), eZProductCurrency\store(), eZProductType\store(), eZShippingGroup\store(), eZShippingType\store(), eZVATType\store(), eZAuthor\store(), eZModule\store(), eZPermission\store(), eZUserGroup\store(), eZLink\update(), and eZLinkCategory\update().

## ◆ nbsp

& nbsp

Definition at line 137 of file step1.php.

## ◆ Password

</td><td style="color:<?= isset( $error['password2'] ) ?> Repeat Password

Definition at line 146 of file step1.php.

Referenced by eZNewsImporter\__construct(), eZMySQLDB\__construct(), eZBackslashImporter\__construct(), eZNyheterNOImporter\__construct(), eZRDFImporter\__construct(), eZRSSImporter\__construct(), eZMailAccount\checkMail(), eZFreeTradeImport\dbInit(), eZMailAccount\get(), eZSourceSite\get(), eZBulkMailForgot\get(), eZBulkMailSubscriptionAddress\get(), eZBulkMailSubscriptionUser\get(), eZNewsImporter\importNews(), eZNyheterNOImporter\news(), eZMySQLDB\printConnection(), eZSQLite3DB\printConnection(), eZXMLRPCClient\send(), eZFreeTradeImport\setDatabaseImport(), eZBulkMailSubscriptionAddress\setEncryptetPassword(), eZBulkMailSubscriptionUser\setEncryptetPassword(), eZBulkMailForgot\setPassword(), eZMailAccount\setPassword(), eZSourceSite\setPassword(), eZUser\setPassword(), eZXMLRPCClient\setPassword(), eZBulkMailForgot\store(), eZBulkMailSubscriptionAddress\store(), eZBulkMailSubscriptionUser\store(), eZMailAccount\store(), eZSourceSite\store(), eZProductPriceRange\store(), eZVoucher\store(), eZVoucherEMail\store(), eZVoucherSMail\store(), eZVoucherUsed\store(), and eZUser\store().

## ◆ Username

</td></tr><tr><td style="color:<?= isset( $error['username'] ) ?> Username

Definition at line 144 of file step1.php.

Referenced by eZXMLRPCClient\send().

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.